.. _vmodl.DynamicData: ../../../../vmodl/DynamicData.rst

.. _VirtualDeviceBackingInfo: ../../../../vim/vm/device/VirtualDevice/BackingInfo.rst


vim.vm.device.VirtualDevice.BackingInfo
=======================================
   `VirtualDeviceBackingInfo`_ is a base data object type for information about the backing of a device in a virtual machine. This base type does not define any properties. It is used as a namespace for general-purpose subtypes. Specific devices are represented by subtypes which define properties for device-specific backing information.
:extends: vmodl.DynamicData_

Attributes:
